Application: gvSIG desktop - gvSIG bugs #4203
No abre gvSIG en kUbuntu 16.04 LTS
04/22/2016 05:46 PM - Oscar Martinez

Status: Closed

Priority: Normal

Assignee: Joaquin del Cerro Murciano
Category:

Target version:

2.3.0-2433 (rev. org.gvsig.desktop-2.0.13¢

% Done: 0%

Spent time: 0.00 hour

), NOT USABLE)

Severity: Blocker Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2426 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Actualizacion de hoy a kUbuntu 16.04 LTS, gvSIG no se lanza al ejecutar el ./gvSIG.sh

Parte final de log que aparece por consola:

:/home/osc/gvdevel/gvsig/2.3.0-2426_portable/lib/xml-apis-1.4.01.jar:/home/osc/gvdevel/gvsig/2.3.0-2426_portable/lib/xml-apis-
-ext-1.3.04.jar:/home/osc/gvdevel/gvsig/2.3.0-2426_portable/lib/xmlpull-1.1.3.1.jar:"
-DgvSIG.home=/home/osc/gvdevel/gvsig/2.3.0-2426_portable/home org.gvsig.andamiupdater.Updater gvSIG

gvSIG/extensiones
/ust/lib/jvm/java-8-oracle/bin/java: relocation error:

/home/osc/gvdevel/gvsig/2.3.0-2426_portable/gvSIG/extensiones/org.gvsig.gdal.app.mainplugin/gdal/libpthread.so.0: symbol
h_errno, version GLIBC_PRIVATE not defined in file libc.so0.6 with link time reference

Probado con versiones 2426 y 2426_portable

Associated revisions

Revision 203 - 06/26/2016 11:46 PM - Joaquin del Cerro Murciano

refs #4203, actualizados los binarios de gdal. Se han eliminado libdl y lipthread.

History

#1 - 05/05/2016 02:21 PM - Oscar Martinez

Si no funciona, abre consola en el directorio de gvSIG y ejecuta esto:

cd gvSIG/extensiones/org.gvsig.gdal.app.mainplugin/gdal ; rm -f libcrypto.so.1.0.0 libcrypt.so.1 libexpat.so.1 libgcc_s.so.1 libkeyutils.so.1

libltdl.s0.7 liblzma.so.5 libpcre.so.3 libpthread.so.0 libresolv.so.2 libssl.so.1.0.0 libstdc++.50.6 libz.so.1

#2 - 06/16/2016 09:57 AM - Alvaro Anguix
- Assignee set to Joaquin del Cerro Murciano

#3 - 06/16/2016 09:57 AM - Alvaro Anguix
- Severity changed from Minor to Blocker

#4 - 06/23/2016 12:52 AM - Joaquin del Cerro Murciano
Al parecer si se elimina la libreria "libpthread.so0.0" de la carpeta de nativas del plugin de gdal ya arranca gvSIG, aunque me han fallado varias cosas

durante el arranque que hay que mirar a ver que puede ser.
Esta prueba la he hecho con el instalable ".run" del build 2431.

#5 - 06/26/2016 08:23 PM - Joaquin del Cerro Murciano

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2433 (rev. org.gvsig.desktop-2.0.139, NOT USABLE)

#6 - 06/28/2016 10:37 AM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

gvSIG ya arranca en Ubuntu 16.04. Los problemas con las nativas que se estaban incluyendo en la distribucion de gvSIG y no deberian incluirse ya

estan solucionados. Otra cosa es que gvSIG funciona en esa version de Ubuntu.

Si fallan cosas de gvSIG en esa version, ya se levantan otros tickets para ello.

#7 - 07/26/2016 04:55 PM - Alvaro Anguix
- Status changed from Fixed to Closed
